[점프 투 플라스크]WTForms 3.0.0 사용할때 EmailField import 에러 발생

책에서 사용하는 WTF버전( Flask-WTF-0.14.3 WTForms-2.3.3 )과 다르게
저는 Flask-WTF-1.0.0 WTForms-3.0.0을 사용합니다.

그래서인지, forms.py에서 wtforms.fileds.html5 에서 EmailField를 import할 수 없다는 에러가 발생해서 아래처럼 수정했습니다.

(수정 전)
from wtforms import StringField, TextAreaField, PasswordField
from wtforms.fields.html5 import EmailField

(수정 후)
from wtforms import StringField, TextAreaField, PasswordField, EmailField

from wtforms.fields.html5 import EmailField

jinoung 308

M 2021년 11월 10일 1:03 오후

목록으로
1개의 답변이 있습니다. 1 / 1 Page

동일한 문제로 고민했었는데 잘 해결했습니다. 감사합니다.

applezrock

2022년 10월 28일 11:36 오전